
#include <stdio.h>

/* prototypes to please OS-X */
int ascfitusermodelinit_(void);
int ascfitusermodelsetparamvalues_(int* i,
    				   double* value,
				   double* min, 
				   double* max,
				   char* name,
				   char* descr, 
				   char* units,
				   int* state, 
				   int* nameLen,
				   int* descLen,
				   int* unitsLen);
int ascfitusermodelfunction_(double* parameterList,
			     int* numberOfDimensions,
			     int* numberOfData,
			     double *outValues,
			     double* x0,
			     double* x1,
			     double* x2,
			     double* x3,
			     double* x4,
			     double* x5,
			     double* x6);
void ascfitusermodelcleanup_(void);

int ascfitusermodelinit_(void)
{
  printf("Error: You cannot use the usermodel until you have\n");
  printf("defined your userFunction.\n");
  printf("Please consult the user manual for instructions on\n");
  printf("how to implement, compile and dynamically link your\n");
  printf("userFunction to ascfit.\n");

  return 1;
}

int ascfitusermodelsetparamvalues_(int* i,
    				   double* value,
				   double* min, 
				   double* max,
				   char* name,
				   char* descr, 
				   char* units,
				   int* state, 
				   int* nameLen,
				   int* descLen,
				   int* unitsLen)
{
  printf("Error: You cannot use the usermodel until you have\n");
  printf("defined your userFunction.\n");
  printf("Please consult the user manual for instructions on\n");
  printf("how to implement, compile and dynamically link your\n");
  printf("userFunction to ascfit.\n");

  return 1;
}
  
int ascfitusermodelfunction_(double* parameterList,
			     int* numberOfDimensions,
			     int* numberOfData,
			     double *outValues,
			     double* x0,
			     double* x1,
			     double* x2,
			     double* x3,
			     double* x4,
			     double* x5,
			     double* x6)
{
  printf("Error: You cannot use the usermodel until you have\n");
  printf("defined your userFunction.\n");
  printf("Please consult the user manual for instructions on\n");
  printf("how to implement, compile and dynamically link your\n");
  printf("userFunction to ascfit.\n");

  return 1;
}

void ascfitusermodelcleanup_(void)
{}

